/*
 * $Id$
 *
 * Copyright (C) 2003 Matan Ziv-Av
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.
 *
 * Written by Matan Ziv-Av, 2003.
 *
 */

#ifndef JEDEC_H_
#define JEDEC_H_

/* Manufacturers */
#define MANUFACTURER_AMD	0x0001
#define MANUFACTURER_ATMEL	0x001F
#define MANUFACTURER_FUJITSU	0x0004
#define MANUFACTURER_ST		0x0020
#define MANUFACTURER_SST	0x00BF
#define MANUFACTURER_TOSHIBA	0x0098
#define MANUFACTURER_MX         0x00C2

/* AMD */
#define FLASHDEVICE_AM29F800BB		0x2258
#define FLASHDEVICE_AM29F800BT		0x22D6
#define FLASHDEVICE_AM29LV800BB		0x225B
#define FLASHDEVICE_AM29LV800BT		0x22DA
#define FLASHDEVICE_AM29LV400BT		0x22B9
#define FLASHDEVICE_AM29LV400BB		0x22BA
#define FLASHDEVICE_AM29LV160DT		0x22C4
#define FLASHDEVICE_AM29LV160DB		0x2249
#define FLASHDEVICE_AM29BDS323D		0x22D1
#define FLASHDEVICE_AM29BDS643D		0x227E
#define FLASHDEVICE_AM29LV081B		0x0038
#define FLASHDEVICE_AM29LV040B		0x004F

/* Atmel */
#define FLASHDEVICE_AT49xV16x		0x00C0
#define FLASHDEVICE_AT49xV16xT		0x00C2
#define FLASHDEVICE_AT49BV322D		0x01C8
#define FLASHDEVICE_AT49BV322DT		0x01C9

/* Fujitsu */
#define FLASHDEVICE_MBM29LV160TE	0x22C4
#define FLASHDEVICE_MBM29LV160BE	0x2249
#define FLASHDEVICE_MBM29LV800BB	0x225B

/* ST - www.st.com */
#define FLASHDEVICE_M29W800T		0x00D7
#define FLASHDEVICE_M29W160DT		0x22C4
#define FLASHDEVICE_M29W160DB		0x2249

/* SST */
#define FLASHDEVICE_SST39LF800		0x2781
#define FLASHDEVICE_SST39LF160		0x2782

/* Toshiba */
#define FLASHDEVICE_TC58FVT160		0x00C2
#define FLASHDEVICE_TC58FVB160		0x0043

/* MX */
#define FLASHDEVICE_MX29LV400T		0x22B9

#endif
